summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 20:00:23 +0200
committer Robby Workman2010-05-11 20:00:23 +0200
commit935bb4017a05ed484dccf69c76b2adb28052f8b0 (patch)
tree8b7d9c359e13c38754f6cc7af144db664cc3220c /development
parenta6fa61c8e5684657b958bedabe1c7b0a6255cbb5 (diff)
downloadslackbuilds-935bb4017a05ed484dccf69c76b2adb28052f8b0.tar.gz
development/dev86: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/dev86/README8
-rw-r--r--development/dev86/dev86.SlackBuild84
-rw-r--r--development/dev86/dev86.info8
-rw-r--r--development/dev86/slack-desc12
4 files changed, 112 insertions, 0 deletions
diff --git a/development/dev86/README b/development/dev86/README
new file mode 100644
index 0000000000..407e6d07bb
--- /dev/null
+++ b/development/dev86/README
@@ -0,0 +1,8 @@
+This is a complete 8086 assembler and loader which can make 32-bit
+code for the 386+ processors. In the past it was used to compile the
+16-bit bootsector and setup binaries for the kernel, but modern
+(2.4.x or newer) kernels use GNU ld instead.
+
+There's a package bin86 already included in Slackware, which is a
+subset of the programs of dev86. Therefore the bin86 programs are
+not included in this package. \ No newline at end of file
diff --git a/development/dev86/dev86.SlackBuild b/development/dev86/dev86.SlackBuild
new file mode 100644
index 0000000000..2220ee6113
--- /dev/null
+++ b/development/dev86/dev86.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for dev86
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dev86
+SRCNAM=Dev86src
+VERSION=0.16.15
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+#Does not compile with changed CFLAGS
+#CC="gcc" make CFLAGS="-Wall -Wstrict-prototypes $SLKCFLAGS -g" DIST=$PKG
+CC="gcc" make DIST=$PKG
+make install DIST=$PKG
+
+# Let's not clobber stuff already in Slackware's bin86 package
+rm -f $PKG/usr/bin/{as,ld,nm,objdump,size}86 $PKG/usr/man/man1/{as,ld}86.1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes Contributors COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+for i in bootblocks copt dis88 elksemu unproto ; do
+ cp -a $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/dev86/dev86.info b/development/dev86/dev86.info
new file mode 100644
index 0000000000..ef223b1dee
--- /dev/null
+++ b/development/dev86/dev86.info
@@ -0,0 +1,8 @@
+PRGNAM="dev86"
+VERSION="0.16.15"
+HOMEPAGE="http://homepage.ntlworld.com/robert.debath/"
+DOWNLOAD="http://distrib-coffee.ipsl.jussieu.fr/pub/linux/momonga/1/PKGS/SOURCES/Dev86src-0.16.15.tar.gz"
+MD5SUM="c3266fa6530b472e1d3e98d826db6409"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/development/dev86/slack-desc b/development/dev86/slack-desc
new file mode 100644
index 0000000000..e92e4f3e0e
--- /dev/null
+++ b/development/dev86/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+dev86: dev86 - 8086 Development Files
+dev86:
+dev86: This is a complete 8086 assembler and loader which can make 32-bit
+dev86: code for the 386+ processors. In the past it was used to compile the
+dev86: 16-bit bootsector and setup binaries for the kernel, but modern
+dev86: (2.4.x or newer) kernels use GNU ld instead.
+dev86:
+dev86: Homepage: http://homepage.ntlworld.com/robert.debath/
+dev86:
+dev86:
+dev86: